## libapache-mod-log-sql 1.100

=== debian/changelog ===
libapache-mod-log-sql (1.100-16.4build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:47:06 -0500

libapache-mod-log-sql (1.100-16.4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Update Homepage and watch file.  (Closes: #974674)
  * Fix building with GCC 14.  (Closes: #1075140)
  * Declare: Rules-Requires-Root: no.
  * Move to Section: httpd.
  * Switch to debhelper-compat (= 9) and drop explicit autotools-dev usage.
  * Update Lintian overrides.
  * Build with autoreconf.
  * Pass -ffile-prefix-map to apxs in order to make the build reproducible.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Aug 2024 08:52:50 +0200

libapache-mod-log-sql (1.100-16.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to default-libmysqlclient-dev.
    (Closes: #830362, #790466)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2017 17:25:33 +0100

libapache-mod-log-sql (1.100-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: Added --with=autotools-dev, this fixes FTBFS on arm64.
  * Dropped unused files d/*install and d/*dirs.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sat, 30 May 2015 21:36:05 +0200

libapache-mod-log-sql (1.100-16.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Thomas Goirand ]
  * Added debian/gbp.conf
  * Switched to dh short style, and using dh-apache2 (build depend on it).

  [ Jean-Michel Vourgère ]
  * Dropped dependencies on obsolete apache2-mpm-* packages. (Closes: #717472).
  * Removed references to apache 1.3 and 2.0 from package descriptions.
  * Added Vcs-* fields.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sat, 30 May 2015 19:31:38 +0200

libapache-mod-log-sql (1.100-16) unstable; urgency=medium

  * Patches configure script to search libdbi in a multiarch system
    (Closes: #738377, #542078).
  * Calls dh_autotools-dev_updateconfig before the configuration script,
    thanks to Matthias Klose <doko@debian.org> for reporting (Closes: #727392).
  * Fixes misnamed in create_tables.sql (Closes: #520388).
  * Fixed long description (Closes: #700583).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 May 2014 10:21:09 +0000

libapache-mod-log-sql (1.100-15) unstable; urgency=low

  * Rebuilt for apache 2.4 (Closes: #666797):
    - Build-depends on apache2-dev and not the prefork version.
    - Adds patch for the 2.4 API.
  * Ran warp-and-sort.
  * debian/copyright in parsable format 1.0.
  * Standard-Version is now 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2013 05:47:46 +0000

libapache-mod-log-sql (1.100-14.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add ${misc:Depends} and correct spelling of "Apache" in control file.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Correct Lintian command-with-path-in-maintainer-script by using
    standards ":" shell operator instead of /bin/true in *.{post*,pre*}.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 01 Apr 2012 09:33:46 +0300

libapache-mod-log-sql (1.100-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pick up the pieces of the libdbi transition: change the libdbi0-dev
    build-dependency to libdbi-dev.  (Closes: #635660)
  * Drop the obsolete conflicts against libdbi0.

 -- Philipp Kern <pkern@debian.org>  Thu, 28 Jul 2011 09:46:28 +0200

libapache-mod-log-sql (1.100-14) unstable; urgency=low

  * Added doc about how to create the score_board table (Closes: #499436).
  * Updated dependencies to apache2-mpm-prefork | apache2-mpm-itk, so both can
    be setup (Closes: #494306). As of today, mod_log_sql still doesn't support
    apache with threads.

 -- Thomas Goirand <thomas@goirand.fr>  Wed, 24 Sep 2008 07:44:30 +0000

libapache-mod-log-sql (1.100-13) unstable; urgency=low

  * Reverted the "patch for funny table names" as it's only working for MySQL
    and it's preventing other backends from working.

 -- Thomas Goirand <thomas@goirand.fr>  Tue, 01 Jul 2008 13:16:36 +0000

libapache-mod-log-sql (1.100-12) unstable; urgency=low

  * The extended description contained "Created for apache-2.0." This is now
    updated to Apache 2 (Closes: #471546).
  * This version now includes a patch for funny table names, so that they are
    escaped using the ` character in the MySQL queries. This corrects the bug
    sent in the Ubuntu's launchpad.
  * Now the debian/rules clean target also removes: Makefile config.h
    config.nice contrib/Makefile docs/Makefile stamp-h (as they are made by the
    ./configure). This removes some lintian warnings.

 -- Thomas Goirand <thomas@goirand.fr>  Wed, 23 Apr 2008 09:23:24 +0000

libapache-mod-log-sql (1.100-11.1) unstable; urgency=low

  * NMU
  * -11 was supposed to be uploaded in order to make a new version of the
    package, using the new ABI of libdbi-0.8.2.  Changed the build
    dependency to reflect this: libdbi0-dev (>= 0.8.2)

 -- Kari Pahula <kaol@debian.org>  Sat, 24 Nov 2007 23:30:45 +0200

libapache-mod-log-sql (1.100-11) unstable; urgency=low

  * Because of a change of at least type in libdbi, added an entry in the
    control file: Conflicts: libdbi0 (< 0.8.2)

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 25 Nov 2007 03:19:16 +0800

libapache-mod-log-sql (1.100-10) unstable; urgency=low

  * This is release -10 because we have -9 in our GPLHost private repository,
    please forgive me, if version -9 was never release into Debian, but I
    really don't want to messup with our production servers.
  * Changed to the new style of dependency (= ${binary:Version}) instead of
    (= ${Source:Version})
  * Remove the build for apache 1.3 and it's depends (Closes: #429090)

