=== debian/control ===
Source: libapache-mod-log-sql
Section: httpd
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 9),
 apache2-dev (>= 2.4),
 dh-apache2,
 libdbi-dev,
 default-libmysqlclient-dev,
 libssl-dev
Rules-Requires-Root: no
Standards-Version: 3.9.4
Homepage: https://www.outoforder.cc/projects/httpd/mod_log_sql/
Vcs-Git: https://salsa.debian.org/debian/libapache-mod-log-sql.git
Vcs-Browser: https://salsa.debian.org/debian/libapache-mod-log-sql

Package: libapache2-mod-log-sql
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: perl
Description: Use SQL to store/write your Apache queries logs - Base
 mod_log_sql is a log module for Apache which logs all requests to a database.
 .
 Base package.
 .
 If you want to use make_combined_log and mysql_import_combined_log scripts you
 will need to install the perl package.

Package: libapache2-mod-log-sql-mysql
Architecture: any
Depends: libapache2-mod-log-sql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libapache2-mod-log-sql-ssl
Description: Use SQL to store/write your Apache queries logs - MySQL interface
 mod_log_sql is a log module for Apache which logs all requests to a MySQL
 database.
 .
 MySQL interface.

Package: libapache2-mod-log-sql-dbi
Architecture: any
Depends: libapache2-mod-log-sql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libapache2-mod-log-sql-ssl
Description: Use SQL to store/write your Apache queries logs - DBI interface
 mod_log_sql is a log module for Apache 1which logs all requests to a MySQL
 database.
 .
 DBI interface.

Package: libapache2-mod-log-sql-ssl
Architecture: any
Depends: libapache2-mod-log-sql (= ${binary:Version}),
 libapache2-mod-log-sql-mysql (= ${binary:Version}) | libapache2-mod-log-sql-dbi (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Use SQL to store/write your Apache queries logs - SSL extension
 mod_log_sql is a log module for Apache which logs all requests to a database.
 .
 For logging SSL connection information (cipher, hash, etc.).
