=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with apache2,autoreconf

# Configure for libapache-mod-log-sql
# Note: no libapache-mod-log-sql-ssl currently because mod_ssl.h
# is not provided anywhere in the Debian distro (a bug repport has been filled)
override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-apxs=/usr/bin/apxs2 \
	    --with-dbi=/usr \
	    --with-mysql=/usr \
	    --with-ssl-inc=/usr/include/apache2

override_dh_auto_install:
	echo "nothing to do..."

override_dh_installdirs:
	dh_installdirs -A
	install -m 0755 contrib/make_combined_log.pl debian/libapache2-mod-log-sql/usr/bin/make_combined_log2
	install -m 0755 contrib/mysql_import_combined_log.pl debian/libapache2-mod-log-sql/usr/bin/mysql_import_combined_log2
