=== debian/watch ===
version=4

https://www.outoforder.cc/projects/httpd/mod_log_sql/ .*/mod_log_sql@ANY_VERSION@@ARCHIVE_EXT@
